Get Counterparty

GEThttps://bank.dattaremit.com/api/counterparties/{counterparty_guid}

Requires a bank-scoped key.

Retrieves a counterparty.

Required scope: counterparties:read Optional scope: counterparties:pii:read.

Path Params

counterparty_guidstringrequired

Identifier for the counterparty.

Query Params

include_piiboolean

Include PII in the response (requires **counterparties:pii:read** scope).

Responses

200

counterparty found

401

Unauthorized

403

Forbidden

Request

curl https://api.dattaremit.com/api/counterparties/{counterparty_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

counterparty found

{
  "guid": "string",
  "type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "name": {
    "first": "string",
    "middle": "string",
    "last": "string",
    "full": "string"
  },
  "address": {
    "street": "string",
    "street2": "string",
    "city": "string",
    "subdivision": "string",
    "postal_code": "string",
    "country_code": "string"
  },
  "aliases": [
    {
      "first": "string",
      "middle": "string",
      "last": "string",
      "full": "string"
    }
  ],
  "date_of_birth": "1990-04-12",
  "labels": [
    "string"
  ],
  "compliance_decisions": [
    {
      "type": "string",
      "state": "string",
      "failure_codes": [
        "string"
      ],
      "expired_at": "2026-07-20T16:27:51.438Z"
    }
  ]
}